Bulk delete items across campaigns

Bulk delete items across multiple campaigns.
You can also use a network account to bulk delete items across the network.

See also:

Rate limit: Tier 4
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Unified endpoint

This endpoint supports both regular items and motion ads. You can also mix both ad types in the same request.

Example

POST /backstage/api/1.0/demo-advertiser/items/bulk
{
    "items_to_update": [
        309,
        801,
        573
    ]
}
{
    "results": [{
            "id": "309",
            "campaign_id": "33",
            "type": "ITEM",
            "url": "https://www.example.com/news/demo_article_9.html",
            "thumbnail_url": "http://cdn.example.com/demo_image_9.jpg",
            "title": "Demo Article 9",
            "description": null,
            "approval_state": "APPROVED",
            "is_active": false,
            "status": "STOPPED",
            "policy_review": {
                "reject_reason": null,
                "status_reason": null
            },
            "cta": null,
            "creative_focus": {
                "type": "AUTOMATIC",
                "coordinates": null
            }
        },
        {
            "id": "801",
            "campaign_id": "270",
            "type": "ITEM",
            "url": "https://www.example.com/news/demo_article_1.html",
            "thumbnail_url": "http://cdn.example.com/demo_image_1.jpg",
            "title": "Demo Article 1",
            "description": null,
            "approval_state": "APPROVED",
            "is_active": false,
            "status": "STOPPED",
            "policy_review": {
                "reject_reason": null,
                "status_reason": null
            },
            "cta": null,
            "creative_focus": {
                "type": "AUTOMATIC",
                "coordinates": null
            }
        },
        {
            "id": "573",
            "campaign_id": "163",
            "type": "ITEM",
            "url": "https://www.example.com/news/demo_article_3.html",
            "thumbnail_url": "http://cdn.example.com/demo_image_3.jpg",
            "title": "Demo Article 3",
            "description": null,
            "approval_state": "APPROVED",
            "is_active": false,
            "status": "STOPPED",
            "policy_review": {
                "reject_reason": null,
                "status_reason": null
            },
            "cta": null,
            "creative_focus": {
                "type": "AUTOMATIC",
                "coordinates": null
            }
        },
    ],
    "metadata": {
        ...
    }
}
📘

The request object must include a single property: items_to_update (a list of Item IDs to delete, passed as numbers).

These items can belong to different campaigns under your account.

🚧

Guidelines

  1. To bulk delete items use the DELETE verb.
  2. Limit each request to a maximum of 200 items.
  3. By default, if the delete operation fails for 1 item, then no items will be deleted. To override this behavior, pass is_atomic=false.
  4. The endpoint supports both regular items and motion ads. You can also mix both ad types in the same request.
  5. Deleted items have a status of STOPPED. Any attempt to reference that Item ID will return 404 Not Found.
🚧

The network account

You can use a network account to delete items across the network:
DELETE backstage/api/1.0/{network-account}/items/bulk

For more information about the network account see: Network Accounts.

📘

See also

Rate limit

🚧

Rate limit

Tier 4. Shares one budget with the other cross-campaign bulk item endpoints - bulk create, bulk update, and resubmitting rejected items. Separate from the per-campaign item endpoints.

See Rate limits for the request allowance each tier carries.

Path Params
string
required

An alphabetic ID. See Get Account Details.

Query Params
string

By default, if the delete operation fails for 1 item, then no items will be deleted.
To override this default behavior, pass is_atomic=false.

Body Params
json
required
Defaults to { "items_to_update": [ 309, 801, 573 ], "baseline_item": { "is_active": true } }

See description below.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json